poterminology(1)

NAME
poterminology - Create a terminology file by reading a set of .po or .pot files to produce a pootle-terminology.pot.

SYNOPSIS

poterminology [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-u|--update UPDATEFILE] [-S|--stopword-list STOPFILE] [-F|--fold-titlecase] [-C|--preserve-case] [-I|--ignore-case] [--accelerator ACCELERATORS] [-t|--term-words LENGTH] [--nonstop-needed MIN] [--inputs-needed MIN] [--fullmsg-needed MIN] [--substr-needed MIN] [--locs-needed MIN] [--sort ORDER] [--source-language LANG] [-v|--invert]

DESCRIPTION
See: http://docs.translatehouse.org/projects/translate-toolkit/en/latest/commands/poterminology.html for examples and usage instructions.

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in pot, po formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in po, pot formats

-u/--update
    update terminology in UPDATEFILE

-S/--stopword-list
    read stopword (term exclusion) list from STOPFILE (default /usr/share/pyshared/translate/share/stoplist-en)

-F/--fold-titlecase
    fold "Title Case" to lowercase (default)

-C/--preserve-case
    preserve all uppercase/lowercase

-I/--ignore-case
    make all terms lowercase

--accelerator
    ignore the given accelerator characters when matching

-t/--term-words
    generate terms of up to LENGTH words (default 3)

--nonstop-needed
    omit terms with less than MIN nonstop words (default 1)

--inputs-needed
    omit terms appearing in less than MIN input files (default 2, or 1 if only one input file)

--fullmsg-needed
    omit full message terms appearing in less than MIN different messages (default 1)

--substr-needed
    omit substring-only terms appearing in less than MIN different messages (default 2)

--locs-needed
    omit terms appearing in less than MIN different original source files (default 2)

--sort
    output sort order(s): frequency, dictionary, length (may repeat option, default is all in above order)

--source-language
    the source language code (default 'en')

-v/--invert
    invert the source and target languages for terminology